summaryrefslogtreecommitdiff
path: root/examples
diff options
context:
space:
mode:
authorDaniel Baumann <daniel@debian.org>2008-08-12 16:20:35 +0200
committerDaniel Baumann <daniel@debian.org>2011-03-09 19:03:39 +0100
commit9e52973f34463dcef260fb55657ff73a744dfed1 (patch)
tree8408241f1d17101f590fab481cd517f757676a8d /examples
parent1adae413a4728f1a5432e4c5af99d3e39bc98f60 (diff)
downloadlive-build-9e52973f34463dcef260fb55657ff73a744dfed1.zip
live-build-9e52973f34463dcef260fb55657ff73a744dfed1.tar.gz
Using signal names rather than signal numbers in trap calls.
Diffstat (limited to 'examples')
-rwxr-xr-xexamples/cron/manpages.sh2
-rwxr-xr-xexamples/cron/snapshots.sh2
2 files changed, 2 insertions, 2 deletions
diff --git a/examples/cron/manpages.sh b/examples/cron/manpages.sh
index cd65dc4..da58d94 100755
--- a/examples/cron/manpages.sh
+++ b/examples/cron/manpages.sh
@@ -24,7 +24,7 @@ then
fi
# Creating lock trap
-trap "test -f ${SERVER}/lock && rm -f ${SERVER}/lock; exit 0" 0 1 2 3 9 15
+trap "test -f ${SERVER}/lock && rm -f ${SERVER}/lock; exit 0" 0 HUP INT QUIT KILL TERM
# Creating lock file
echo "${DATE_START}" > "${SERVER}"/lock
diff --git a/examples/cron/snapshots.sh b/examples/cron/snapshots.sh
index 68011df..c2a82c0 100755
--- a/examples/cron/snapshots.sh
+++ b/examples/cron/snapshots.sh
@@ -36,7 +36,7 @@ then
fi
# Creating lock trap
-trap "test -f ${SERVER}/Archive-Update-in-Progress && rm -f ${SERVER}/Archive-Update-in-Progress; exit 0" 0 1 2 3 9 15
+trap "test -f ${SERVER}/Archive-Update-in-Progress && rm -f ${SERVER}/Archive-Update-in-Progress; exit 0" 0 HUP INT QUIT KILL TERM
# Creating lock file
echo "${DATE_START}" > "${SERVER}"/Archive-Update-in-Progress